/*
	ArrayToDataProvider.as

	Mike Chambers
	mesh@macromedia.com
	
	Converted to AS2 by sasha Magee - smagee@macromedia.com

	Converts an Array of Objects into a mx.central.data.DataProviderClass.
	
	Usage Example:
		var fc:FileConverter = new FileConverter();
		fc.setTrimColumn(true);
	
		var lv:LoadVars = new LoadVars();
	
		lv.onData = function(data)
		{
	
			fc.parseData(data);
			
			var dp = ArrayToDataProvider.parse(fc.getDataArray());
	
			dGrid.setDataProvider(dp);
		}
	
	lv.load("data.csv");

*/

class ArrayToDataProvider {

	static public function parse(arr:Array):mx.central.data.DataProviderClass
	{
		var dp:mx.central.data.DataProviderClass = new mx.central.data.DataProviderClass();
		dp.replaceAllItems(arr);

		return dp;
	}
}